getProductType
get
/ccadmin/v1/productTypes/{id}
Get Product Type. Get information about user-defined product types by ID.
Request
Supported Media Types
- application/json
Path Parameters
-
id(required): string
ID of productType.
Response
Supported Media Types
- application/json
200 Response
Following model is returned when operation succeeds.
Root Schema : getProductType_response
Type:
Show Source
object-
count:
integer
The count of product.
-
displayName:
string
The display name of the product type
-
id:
string
The ID of the product type.
-
shopperInputs:
array shopperInputs
List of Shopper Inputs for user-defined product type.
-
skuProperties:
array skuProperties
List of Sku Properties for user-defined product type
-
specifications:
array specifications
List of specifications for user-defined product type.
-
variants:
array variants
Variants of the product
Nested Schema : shopperInputs
Type:
arrayList of Shopper Inputs for user-defined product type.
Show Source
Nested Schema : skuProperties
Type:
arrayList of Sku Properties for user-defined product type
Show Source
Nested Schema : specifications
Type:
arrayList of specifications for user-defined product type.
Show Source
Nested Schema : items
Type:
Show Source
object-
label:
string
The display name of Shopper Input
-
localizedValues:
object localizedValues
Additional Properties Allowed: additionalPropertiesLocalized enumerated values map (base -> localized), returned when type=enumerated and there is localization.
-
name:
string
Name of the Shopper Input
-
promptText:
string
Helper text for the the Shopper Input
-
repositoryId:
string
Repository ID of Shopper Input
-
required:
boolean
Whether the Shopper Input is required
-
type:
string
Data type of the Shopper Input
-
uiEditorType:
string
UI editor type of the Shopper Input
-
values:
array values
Enumerated values, returned when type=enumerated.
Nested Schema : localizedValues
Type:
objectAdditional Properties Allowed
Show Source
Localized enumerated values map (base -> localized), returned when type=enumerated and there is localization.
Nested Schema : items
Type:
Show Source
object-
default:
string
The default value of the sku property
-
editableAttributes:
array editableAttributes
The editable attributes of the sku property
- hidden: boolean
-
id:
string
The ID of the sku property
-
itemType:
string
The itemtype of the sku property.
-
label:
string
The label attribute of the sku property
-
length:
integer
The length of the sku property
-
order:
integer
The order count of the sku property
-
propertyType:
string
Whether this is a base or custom sku property
-
required:
boolean
The required attribute of the sku property
-
type:
string
The type of the sku property
-
variantBasedDisplay:
boolean
Whether this variant based display should be allowed
-
writable:
boolean
The writable attribute of sku property
Nested Schema : editableAttributes
Type:
arrayThe editable attributes of the sku property
Show Source
Nested Schema : items
Type:
Show Source
object-
default:
string
Default specification of product type.
-
editableAttributes:
array editableAttributes
List of editable attributes
- hidden: boolean
-
id:
string
ID of specification.
-
itemType:
string
Item type for user-defined product.
-
label:
string
Label for new item type.
-
listingVariant:
boolean
Whether listing should be done based on this variant.
-
order:
integer
Order count of item type.
-
required:
boolean
Whether it is required or not.
-
type:
string
Data type of variant.
-
variantBasedDisplay:
boolean
Whether this variant based display should be allowed
-
writable:
string
Whether writable or not.
Nested Schema : items
Type:
Show Source
object-
default:
string
Default editable attribute.
- hidden: boolean
-
label:
string
Label for the item type.
-
listingVariant:
boolean
Whether listing should be done based on this variant.
-
order:
integer
Order count of item type.
-
required:
boolean
Whether it is required or not.
Nested Schema : items
Type:
Show Source
object-
default:
string
The default property of the variant
-
editableAttributes:
array editableAttributes
The editable attributes of the variants
- hidden: boolean
-
id:
string
The ID of the variant
-
itemType:
string
The itemtype of the variant.
-
label:
string
The label property of the variant
-
length:
integer
The length property of the variant
-
order:
integer
The order property of the variant
-
required:
boolean
The required property of the variant
-
type:
string
The type of the variant
-
uiEditorType:
string
The UIEditorType property of the variant
-
values:
array values
The variants
-
writable:
boolean
The writable property of variant
Example Response (application/json)
{
"shopperInputs":[
],
"displayName":"New Product Type",
"count":0,
"id":"NewProductType",
"variants":[
{
"itemType":"sku-NewProductType",
"localizedValues":{
"red":"rojo",
"blue":"azul"
},
"hidden":false,
"values":[
"red",
"blue"
],
"variantBasedDisplay":"false",
"wildcardSearchable":null,
"label":"color",
"type":"enumerated",
"required":false,
"searchable":null,
"writable":"true",
"internalOnly":null,
"default":null,
"listingVariant":"true",
"textSearchable":null,
"id":"color",
"dimension":null,
"editableAttributes":[
"textSearchable",
"dimension",
"internalOnly",
"default",
"order",
"listingVariant",
"hidden",
"label",
"required",
"variantBasedDisplay",
"wildcardSearchable",
"searchable"
],
"order":null
}
],
"specifications":[
{
"itemType":"NewProductType",
"hidden":false,
"wildcardSearchable":true,
"label":"New Property",
"type":"shortText",
"required":true,
"searchable":"true",
"writable":"true",
"internalOnly":"false",
"default":"null",
"textSearchable":"true",
"id":"newProperty",
"dimension":"false",
"editableAttributes":[
"textSearchable",
"dimension",
"internalOnly",
"default",
"order",
"hidden",
"label",
"required",
"wildcardSearchable",
"searchable"
],
"order":null
}
],
"skuPropeties":[
]
}
Default Response
The error response.
The following are the internal error codes thrown by this API when the request processing fails in Oracle Commerce Cloud:
|Error Code|Description|
|------------------|------------------|
|20581|Could not find product type|
|20580|Internal Error|
Root Schema : errorModel
Type:
Show Source
object-
devMessage:
string
An optional non-localized message containing technical information for developers
-
errorCode:
string
The numerical code identifying the error
-
errors:
array errors
An optional list of errors if multiple errors were encountered
-
message:
string
The localized message describing the error
-
moreInfo:
string
An optional non-localized message with more information
-
o:errorPath:
string
An optional machine readable description of where the error occurred
-
status:
string
The HTTP status code
-
type:
string
The URI to the HTTP state code definition
Nested Schema : errors
Type:
arrayAn optional list of errors if multiple errors were encountered
Show Source
Nested Schema : items
Type:
Show Source
object-
devMessage:
string
An optional non-localized message containing technical information for developers
-
errorCode:
string
The numerical code identifying the error
-
message:
string
The localized message describing the error
-
moreInfo:
string
An optional non-localized message with more information
-
o:errorPath:
string
An optional machine readable description of where the error occurred
-
status:
string
The HTTP status code